cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rajani Karuturi <raj...@apache.org>
Subject Re: :[VOTE] Apache Cloudstack 4.10.0.0
Date Mon, 06 Mar 2017 10:28:38 GMT
Thanks Wei Zhow. Will ping Jayapal.

~ Rajani

http://cloudplatform.accelerite.com/

On March 6, 2017 at 3:25 PM, Wei ZHOU (ustcweizhou@gmail.com)
wrote:

about ticket:
https://issues.apache.org/jira/browse/CLOUDSTACK-9821

this seems to be caused by commit
175c8d83b8a628566a4c443db0de587874718c8c

Author: Jayapal <jayapal.uradi@accelerite.com>
AuthorDate: Mon Feb 20 18:29:14 2017 +0530
Commit: Jayapal <jayapal.uradi@accelerite.com>
CommitDate: Mon Feb 20 18:34:13 2017 +0530

CLOUDSTACK-8871: fixed issue with the xenserver 6.2 ipset
nethash
---
scripts/vm/hypervisor/xenserver/vmops | 25
+++++++++++++++++++------
1 files changed, 19 insertions(+), 6 deletions(-)

Jayapal, could you please have a look ?

2017-03-04 2:41 GMT+01:00 Rajani Karuturi <rajani@apache.org>:

Thanks for the update mike.

@wido, weizhou
Can you take a look at the issue please?

~Rajani
Sent from phone.

On 4 Mar 2017 3:25 a.m., "Tutkowski, Mike"
<Mike.Tutkowski@netapp.com>
wrote:

-1 (binding)

Per my previous e-mails concerning this issue, here is a ticket
I

created:

https://issues.apache.org/jira/browse/CLOUDSTACK-9821

We should get someone from the networking side of things to
investigate.

Thanks!

On 3/3/17, 1:28 AM, "Rohit Yadav" <rohit.yadav@shapeblue.com>
wrote:

-1 (binding)

All, I've found an upgrade blocker. Pre 4.6 users are required
to

seed

4.6 systemvmtemplate to proceed with the upgrade otherwise
upgrade fails,
and from 4.9 upgrade to 4.10 does no check/enforcement that 4.10
based
systemvmtemplate has been seeded/registered, nor the minimum
required
systemvmtemplate version is changed from 4.6.0 to 4.10.0.

After we have merged the strongswan/java8 PR, I had updated the
upgrade docs on how to upgrade the systemvmtemplate here:

http://docs.cloudstack.apache.org/projects/cloudstack-
release-notes/en/4.10/upgrade/upgrade-4.9.html

Using the above, I've tried to fix these issues here, please
review
and merge for RC2:

https://github.com/apache/cloudstack/pull/1983

<https://github.com/apache/cloudstack/pull/1983>With above fix,
the
aim is that users only seed the 4.10 systemvmtemplate before
upgrade and
post-upgrade the upgrade paths fix the entries, global setting
etc.

Regards.

________________________________
From: Tutkowski, Mike <Mike.Tutkowski@netapp.com>
Sent: 02 March 2017 22:39:08
To: dev@cloudstack.apache.org
Subject: Re: :[VOTE] Apache Cloudstack 4.10.0.0

I rolled back to my master branch at
da66b06e7d562393da2e4b52206943

f8bad49d10

and it works.

It appears something that went into after that commit has broken

this.

It looks like this SHA is about two weeks old and that 43 commits
have

gone

into master since it.

On 3/2/17, 7:06 AM, "Tutkowski, Mike"
<Mike.Tutkowski@netapp.com>
wrote:

According to where the code fails, though, it appears to be a
networking problem. If I set a breakpoint before the failure and
change a
variable to say that security groups are not being used, then
the VM

starts.

I think this is a recently introduced problem because I have
another branch based off of a slightly older version of master
and it

works

fine here.

On Mar 2, 2017, at 6:51 AM, Pierre-Luc Dion <

pdion@cloudops.com>

wrote: > wrote: in a Basic

VMs NFS null?! 10.117.40.53, Exception: xenbase. xenbase.
java:266) xenbase. xenbase. java:266) (Network-Scavenger-1:ctx-
checkResponse(Types.java:693) 457) xenbase. xenbase. java:266)
checkResponse(Types.java:693) 457) xenbase. xenbase. java:266)
checkResponse(Types.java:693) 457) xenbase. xenbase. java:266) VM
orchestrateStart( orchestrateStart( java:266) dataCenterId::
VirtualMachineEntityImpl.java: dispatch(ApiDispatcher.java:
java:266) orchestrateStart( orchestrateStart( artifacts the
org/repos/dist/dev/cloudstack/
Mime
  • Unnamed multipart/alternative (inline, 7-Bit, 0 bytes)
View raw message